UI toolkit introduced dependency on two versions of gstreamer on the desktop

Bug #1235484 reported by Jamie Strandboge
20
This bug affects 3 people
Affects Status Importance Assigned to Milestone
Ubuntu UI Toolkit
Invalid
Critical
Unassigned
thumbnailer (Ubuntu)
Fix Released
Critical
Jussi Pakkanen

Bug Description

The following packages will be upgraded:
  qtdeclarative5-ubuntu-ui-toolkit-plugin ubuntu-ui-toolkit-doc
  ubuntu-ui-toolkit-examples ubuntu-ui-toolkit-theme
...
Setting up ubuntu-ui-toolkit-theme (0.1.46+13.10.20130925.1bzr783saucy0) ...
Setting up qtdeclarative5-ubuntu-ui-toolkit-plugin:amd64 (0.1.46+13.10.20130925.1bzr783saucy0) ...
Setting up ubuntu-ui-toolkit-doc (0.1.46+13.10.20130925.1bzr785saucy0) ...
Setting up ubuntu-ui-toolkit-examples (0.1.46+13.10.20130925.1bzr783saucy0) ...

$ qmlscene /tmp/AudioTest.qml
unity::action::ActionManager::ActionManager(QObject*):
 Could not determine application identifier. HUD will not work properly.
 Provide your application identifier in $APP_ID environment variable.

(qmlscene:23773): GLib-GObject-WARNING **: cannot register existing type 'GstFormat'

(qmlscene:23773): GLib-CRITICAL **: g_once_init_leave: assertion 'result != 0' failed

(qmlscene:23773): GLib-GObject-WARNING **: cannot retrieve class for invalid (unclassed) type '<invalid>'

(qmlscene:23773): GLib-GObject-WARNING **: cannot register existing type 'GstQuery'

(qmlscene:23773): GLib-CRITICAL **: g_once_init_leave: assertion 'result != 0' failed

(qmlscene:23773): GLib-GObject-WARNING **: cannot retrieve class for invalid (unclassed) type '<invalid>'

(qmlscene:23773): GLib-GObject-WARNING **: cannot register existing type 'GstObject'

(qmlscene:23773): GLib-CRITICAL **: g_once_init_leave: assertion 'result != 0' failed

(qmlscene:23773): GLib-GObject-WARNING **: cannot retrieve class for invalid (unclassed) type '<invalid>'

Downgrading to 0.1.46+13.10.20130925.1-0ubuntu2 allows the app to work again.

Related branches

Revision history for this message
Jamie Strandboge (jdstrand) wrote :
Revision history for this message
Giulio Collura (gcollura) wrote :

I confirm this bug with my app "Saucy Bacon". When I try to run it (even if I don't use audio output) I get the same error and then I have to kill the process.

Starting /usr/lib/x86_64-linux-gnu/qt5/bin/qmlscene...
virtual void OnlineAccounts::Plugin::registerTypes(const char*) Ubuntu.OnlineAccounts
virtual void FriendsPlugin::registerTypes(const char*) Friends
unity::action::ActionManager::ActionManager(QObject*):
 Could not determine application identifier. HUD will not work properly.
 Provide your application identifier in $APP_ID environment variable.

(qmlscene:10566): GLib-GObject-WARNING **: cannot register existing type 'GstFormat'

(qmlscene:10566): GLib-CRITICAL **: g_once_init_leave: assertion 'result != 0' failed

(qmlscene:10566): GLib-GObject-WARNING **: cannot retrieve class for invalid (unclassed) type '<invalid>'

(qmlscene:10566): GLib-GObject-WARNING **: cannot register existing type 'GstQuery'

(qmlscene:10566): GLib-CRITICAL **: g_once_init_leave: assertion 'result != 0' failed

(qmlscene:10566): GLib-GObject-WARNING **: cannot retrieve class for invalid (unclassed) type '<invalid>'

(qmlscene:10566): GLib-GObject-WARNING **: cannot register existing type 'GstObject'

(qmlscene:10566): GLib-CRITICAL **: g_once_init_leave: assertion 'result != 0' failed

(qmlscene:10566): GLib-GObject-WARNING **: cannot retrieve class for invalid (unclassed) type '<invalid>'
The program has unexpectedly finished.

Thanks

Giulio

Revision history for this message
Pat McGowan (pat-mcgowan) wrote :

This is occurring with the update in the archive made today
qtdeclarative5-ubuntu-ui-toolkit-plugin 0.1.46+13.10.20131007-0ubuntu1

Changed in ubuntu-ui-toolkit:
importance: Undecided → Critical
assignee: nobody → Zoltan Balogh (bzoltan)
Revision history for this message
Kyle Nitzsche (knitzsche) wrote :

This issue occurs with cordova apps too.

Revision history for this message
Pat McGowan (pat-mcgowan) wrote :

This seems to be related to change 781 that added the thumbnailer and a dep on gstreamer1.0, so on the desktop we still have qt deps on gst0.1.

This file works on the touch image.

Revision history for this message
Pat McGowan (pat-mcgowan) wrote :

Installing the -touch versions of the relevant qtmultimedia packages shows this working on the desktop. These packages use gst1.0

 libqgsttools-p1-touch libqt5multimedia5-touch libqt5multimedia5-touch-plugins libqt5multimediaquick-p5-touch qtdeclarative5-qtmultimedia-touch-plugin

summary: - simple qml program with Audio {} fails to start with latest ppa
+ UI toolkit introduced dependency on two versions of gstreamer on the
+ desktop
Revision history for this message
Ricardo Salveti (rsalveti) wrote :

This only works fine on the touch image as we use qtmultimedia-touch by default (which is a forked version that supports decode with gst1.0, but lacks a few features, such as camera, record, etc).

I wouldn't recommend the sdk to depend on our forked version as we'd be forcing anyone using the sdk to use our qtmultimedia fork instead, which might break a few qtmultimedia based use cases.

This will hopefully be fixed with qt 5.2, but for now I'd still recommend desktop to depend on the original qtmultimedia package, and drop the thumbnailer dependency/support in the toolkit.

Changed in ubuntu-ui-toolkit:
assignee: Zoltan Balogh (bzoltan) → Jussi Pakkanen (jpakkane)
Revision history for this message
Jamie Strandboge (jdstrand) wrote :

I can confirm that 0.1.46+13.10.20131007-0ubuntu1 in saucy now is also affected. Furthermore, Video{} no longer works as demonstrated by the attached click package. Install with:
$ sudo click install --user=$USER --force-missing-framework ./com.ubuntu.developer.jdstrand.test-video_0.1_all.click

Start with:
$ cd /opt/click.ubuntu.com/com.ubuntu.developer.jdstrand.test-video/current
$ qmlscene ./test-video.qml
unity::action::ActionManager::ActionManager(QObject*):
 Could not determine application identifier. HUD will not work properly.
 Provide your application identifier in $APP_ID environment variable.

(qmlscene:9989): GLib-GObject-WARNING **: cannot register existing type 'GstFormat'

(qmlscene:9989): GLib-CRITICAL **: g_once_init_leave: assertion 'result != 0' failed

(qmlscene:9989): GLib-GObject-WARNING **: cannot retrieve class for invalid (unclassed) type '<invalid>'

(qmlscene:9989): GLib-GObject-WARNING **: cannot register existing type 'GstQuery'

(qmlscene:9989): GLib-CRITICAL **: g_once_init_leave: assertion 'result != 0' failed

(qmlscene:9989): GLib-GObject-WARNING **: cannot retrieve class for invalid (unclassed) type '<invalid>'

(qmlscene:9989): GLib-GObject-WARNING **: cannot register existing type 'GstObject'

(qmlscene:9989): GLib-CRITICAL **: g_once_init_leave: assertion 'result != 0' failed

(qmlscene:9989): GLib-GObject-WARNING **: cannot retrieve class for invalid (unclassed) type '<invalid>'

Downgrading to 0.1.46+13.10.20130925.1-0ubuntu2 allows the app to work again.

Revision history for this message
Jussi Pakkanen (jpakkane) wrote :

Potential fixes which don't required removing thumbnailer altogether (which would be nice since we really need it)

- change build system of the sdk to only build thumbnailing support on the phone
- disable embedded album art provider in thumbnailer, because it is the only part that uses GStreamer and is in the same process (video is done out-of-process)

The latter is not a regression as embedded album art never worked in earlier releases.

Revision history for this message
Jussi Pakkanen (jpakkane) wrote :

Here is an experimental thumbnailer branch to do the latter:

lp:~jpakkane/thumbnailer/gst-disable

Please test if it works for you.

Revision history for this message
Timo Jyrinki (timo-jyrinki) wrote :

Like bzoltan, I can confirm that the Jussi's branch fixes Jamie's #8 test case.

Revision history for this message
Timo Jyrinki (timo-jyrinki) wrote :

Built now at the daily build PPA. To get it testable on device:

apt-add-repository ppa:ubuntu-unity/daily-build
apt-get update
apt-get install libthumbnailer0 # check that version is 1.0+13.10.20131008-0ubuntu1
reboot

Changed in thumbnailer (Ubuntu):
assignee: nobody → Jussi Pakkanen (jpakkane)
importance: Undecided → Critical
Changed in ubuntu-ui-toolkit:
assignee: Jussi Pakkanen (jpakkane) → nobody
status: New → Invalid
Changed in thumbnailer (Ubuntu):
status: New → Fix Committed
Revision history for this message
Timo Jyrinki (timo-jyrinki) wrote :

bug #1236940 filed but so far sounds like not related to this upgrade?

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package thumbnailer - 1.0+13.10.20131008-0ubuntu1

---------------
thumbnailer (1.0+13.10.20131008-0ubuntu1) saucy; urgency=low

  [ Jussi Pakkanen ]
  * Fix off by one error. (LP: #1235444)
  * Disable use of in-process GStreamer because we use 1.0, which
    clashes with 0.10. (LP: #1235484)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 55
 -- Ubuntu daily release <email address hidden> Tue, 08 Oct 2013 12:49:51 +0000

Changed in thumbnailer (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers